# Draw
TKTopTest
HLRTest

# HLRTest_DrawableEdgeTool Class Reference

`#include <HLRTest_DrawableEdgeTool.hxx>`

Inheritance diagram for HLRTest_DrawableEdgeTool:

[legend]

## Public Member Functions

Standard_EXPORT | HLRTest_DrawableEdgeTool (const Handle(HLRBRep_Algo)&Alg, const Standard_Boolean Visible, const Standard_Boolean IsoLine, const Standard_Boolean Rg1Line, const Standard_Boolean RgNLine, const Standard_Integer ViewId)
Standard_EXPORT void | DrawOn (Draw_Display &D) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT void | InternalDraw (Draw_Display &D, const Standard_Integer typ) const
Standard_EXPORT void | DrawFace (Draw_Display &D, const Standard_Integer typ, const Standard_Integer nCB, const Standard_Integer iface, Standard_Integer &e2, Standard_Integer &iCB, Handle(HLRBRep_Data)&DS) const
Standard_EXPORT void | DrawEdge (Draw_Display &D, const Standard_Boolean inFace, const Standard_Integer typ, const Standard_Integer nCB, const Standard_Integer ie, Standard_Integer &e2, Standard_Integer &iCB, HLRBRep_EdgeData &ed) const

## Private Attributes

Handle_HLRBRep_Algo | myAlgo
Standard_Boolean | myVisible
Standard_Boolean | myIsoLine
Standard_Boolean | myRg1Line
Standard_Boolean | myRgNLine
Standard_Integer | myViewId

## Constructor & Destructor Documentation

Standard_EXPORT HLRTest_DrawableEdgeTool::HLRTest_DrawableEdgeTool | ( | const Handle(HLRBRep_Algo)& | Alg,
|  | const Standard_Boolean | Visible,
|  | const Standard_Boolean | IsoLine,
|  | const Standard_Boolean | Rg1Line,
|  | const Standard_Boolean | RgNLine,
|  | const Standard_Integer | ViewId
| ) |

## Member Function Documentation

Standard_EXPORT void HLRTest_DrawableEdgeTool::DrawEdge | ( | Draw_Display & | D,
|  | const Standard_Boolean | inFace,
|  | const Standard_Integer | typ,
|  | const Standard_Integer | nCB,
|  | const Standard_Integer | ie,
|  | Standard_Integer & | e2,
|  | Standard_Integer & | iCB,
|  | HLRBRep_EdgeData & | ed
| ) | const`[private]`

Standard_EXPORT void HLRTest_DrawableEdgeTool::DrawFace | ( | Draw_Display & | D,
|  | const Standard_Integer | typ,
|  | const Standard_Integer | nCB,
|  | const Standard_Integer | iface,
|  | Standard_Integer & | e2,
|  | Standard_Integer & | iCB,
|  | Handle(HLRBRep_Data)& | DS
| ) | const`[private]`

Standard_EXPORT void HLRTest_DrawableEdgeTool::DrawOn | ( | Draw_Display & | D | ) | const`[virtual]`

| Implements Draw_Drawable3D.

Standard_EXPORT const HLRTest_DrawableEdgeTool::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT void HLRTest_DrawableEdgeTool::InternalDraw | ( | Draw_Display & | D,
|  | const Standard_Integer | typ
| ) | const`[private]`

## Field Documentation

Handle_HLRBRep_Algo HLRTest_DrawableEdgeTool::myAlgo `[private]`

Standard_Boolean HLRTest_DrawableEdgeTool::myIsoLine `[private]`

Standard_Boolean HLRTest_DrawableEdgeTool::myRg1Line `[private]`

Standard_Boolean HLRTest_DrawableEdgeTool::myRgNLine `[private]`

Standard_Integer HLRTest_DrawableEdgeTool::myViewId `[private]`

Standard_Boolean HLRTest_DrawableEdgeTool::myVisible `[private]`

The documentation for this class was generated from the following file:

- HLRTest_DrawableEdgeTool.hxx